Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Neurosupport
    • Yandex Cloud Detection and Response
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • GOST Gateway
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • SourceCraft
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Yandex Cloud Trust
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex DataLens
  • Нейроаналитик DataLens
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • Create workbook
        • Delete workbook
        • Delete workbooks
        • Get workbook
        • Get workbooks list
        • Get workbook list by ids
        • Move workbook
        • Move workbooks
        • Update workbook
        • Get workbook entries
        • Update workbook access bindings
        • List workbook access bindings
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  • IamAccessBinding
  • IamSubjectWithBindings
  1. DataLens Public API
  2. DataLens API (англ.)
  3. Workbook
  4. List workbook access bindings
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body
    • IamAccessBinding
    • IamSubjectWithBindings

List workbook access bindings

Lists access bindings for the specified workbook.

RequestRequest

POST

https://api.datalens.tech/rpc/listWorkbookAccessBindings

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "workbookId": "example",
  "getInheritedBindings": true,
  "pageSize": 0.5,
  "pageToken": "example"
}

Name

Description

workbookId

Type: string

ID of the workbook whose access bindings to retrieve.

Example: example

getInheritedBindings

Type: boolean

Include access bindings inherited from parent resources.

pageSize

Type: number

Maximum number of subjects to return.

pageToken

Type: string

Token for retrieving the next page of results.

Example: example

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "subjectsWithBindings": [
    {
      "subjectClaims": {
        "sub": "example",
        "subType": "SUBJECT_TYPE_UNSPECIFIED",
        "email": "example"
      },
      "accessBindings": [
        {
          "roleId": "example",
          "inheritedFrom": {}
        }
      ],
      "inheritedAccessBindings": [
        null
      ]
    }
  ],
  "nextPageToken": "example"
}

Name

Description

nextPageToken

Type: string

Token for retrieving the next page of results.

Example: example

subjectsWithBindings

Type: IamSubjectWithBindings[]

Subjects and their access bindings.

Example
[
  {
    "subjectClaims": {
      "sub": "example",
      "subType": "SUBJECT_TYPE_UNSPECIFIED",
      "email": "example"
    },
    "accessBindings": [
      {
        "roleId": "example",
        "inheritedFrom": {
          "id": "example",
          "type": "example"
        }
      }
    ],
    "inheritedAccessBindings": [
      null
    ]
  }
]

IamAccessBindingIamAccessBinding

Name

Description

inheritedFrom

Type: object | null

Resource from which the access binding is inherited.

Example
{
  "id": "example",
  "type": "example"
}

roleId

Type: string

ID of the role assigned to the subject.

Example: example

Example
{
  "roleId": "example",
  "inheritedFrom": {
    "id": "example",
    "type": "example"
  }
}

IamSubjectWithBindingsIamSubjectWithBindings

Name

Description

accessBindings

Type: IamAccessBinding[]

Access bindings assigned directly to the subject.

Example
[
  {
    "roleId": "example",
    "inheritedFrom": {
      "id": "example",
      "type": "example"
    }
  }
]

inheritedAccessBindings

Type: IamAccessBinding[]

Access bindings inherited by the subject.

Example
[
  {
    "roleId": "example",
    "inheritedFrom": {
      "id": "example",
      "type": "example"
    }
  }
]

subjectClaims

Type: object

email

Type: string

Email address of the subject.

Example: example

sub

Type: string

Unique identifier of the subject.

Example: example

subType

Type: string

Type of the subject.

Enum: SUBJECT_TYPE_UNSPECIFIED, USER_ACCOUNT, SERVICE_ACCOUNT, GROUP, INVITEE

Subject details.

Example
{
  "sub": "example",
  "subType": "SUBJECT_TYPE_UNSPECIFIED",
  "email": "example"
}
Example
{
  "subjectClaims": {
    "sub": "example",
    "subType": "SUBJECT_TYPE_UNSPECIFIED",
    "email": "example"
  },
  "accessBindings": [
    {
      "roleId": "example",
      "inheritedFrom": {
        "id": "example",
        "type": "example"
      }
    }
  ],
  "inheritedAccessBindings": [
    null
  ]
}

Была ли статья полезна?

Предыдущая
Update workbook access bindings
Следующая
Overview
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»